import request from '@/utils/request'

// 查询试卷批次列表
export function listTest(query) {
  return request({
    url: '/learn/test/list',
    method: 'get',
    params: query
  })
}

// 查询试卷批次详细
export function getTest(batchId) {
  return request({
    url: '/learn/test/' + batchId,
    method: 'get'
  })
}

// 新增试卷批次
export function addTest(data) {
  return request({
    url: '/learn/test',
    method: 'post',
    data: data
  })
}

// 修改试卷批次
export function updateTest(data) {
  return request({
    url: '/learn/test',
    method: 'put',
    data: data
  })
}

// 删除试卷批次
export function delTest(batchId) {
  return request({
    url: '/learn/test/' + batchId,
    method: 'delete'
  })
}
